<?php
/**
 * @package Mourn_Index
 * @version 0.0.1
 */
/*
Plugin Name: 哀悼日首页灰屏
Plugin URI:
Description: 启用首页变灰，禁用恢复正常。
Version: 0.0.1
Author: dujun
Author URI: https://dujun.io
License: MIT
*/

function set_index_gray()
{
    wp_reset_query();

    if (is_home() || is_front_page()) {
        echo "<style>
            html {
                -webkit-filter: grayscale(100%);
                -moz-filter: grayscale(100%);
                -ms-filter: grayscale(100%);
                -o-filter: grayscale(100%);
                filter: grayscale(100%);
                filter: progid:DXImageTransform.Microsoft.BasicImage(grayscale=1);
                filter: gray;
            }
            </style>";
    }
}

add_action('wp_head', 'set_index_gray');
